BEEM - Android XMPP - Patch #38

Patch Jingle pour manu qui est loin
03/06/2009 11:20 PM - Frédéric Barthéléry

Status: Closed Start date: 03/06/2009
Priority: Normal Due date: 03/12/2009
Assignee: Frédéric Barthéléry % Done: 100%
Category: XMPP-Jingle Estimated time: 10.00 hours
Target version: Prototype before 1.5 - SFR_Version

Affected version:

Description

Introduction

Bon comme je sais que vous recevrez un mail pour ca je vais profiter pour faire un ti tuto :)
Donc comme vous pouvez constater il y a maintenant un tracker Patch pour Beem. Vous pouvez I'utiliser pour echanger des patch (il
porte bien son nom).

Comment generer un patch ?

simple. dans votre depot vous faite : (ou $base est le numero de la revision de base de vos modifications)

hg diff -r $base > monpatch.patch
Vous obtenez un joli fichier de diff que vous pouvez utiliser normalement (voir man patch)

L'inconvenient est que ce ficihier ne contient pas les informations de commits, etc. On va d'autre utiliser une autre commande de
mercurial pour obtenir un fichier bundle qui contiendra le patch plus les infos de commits etc

hg bundle --base $base monbundle.bz2

ou

hg bundle monbundle.bz2 $depot

Il est alors possible d'importer ce bundle

hg pull monbundle.bz?2

Bon pour plus d'infos n'hesiter pas a voir la doc de mercurial (man hg)

Contenu

Je fournis en fichier le bundle pour manu et le patch pour ceux qui veulent voir du code.
Il s'agit de code en cours d'ecriture. C'est moche mais n'hesiter pas a commenter si il y a des trucs qui ne vous plaisent pas ou si
vous avez des suggestions :)

Related issues:
Related to Feature #29: Creation d'une session jingle et echange de donnees Assigned 05/01/2009 05/31/2009

History

#1 - 03/13/2009 05:47 PM - Frédéric Barthéléry

- Status changed from New to Resolved

Le patch a ete integre dans le depot beem-xmpp, disponible a cette adresse http:/beem-project.com/hg/beem-xmpp

Notes
http://beem-project.com/hg/beem-xmpp

Je rappelle qu'il serait preferable de ne pas mettre dans votre branche de modifications qui ne fonctionne pas.

Si vous devez partager ces modifications avec quelqu'un, CREER UN TICKET dans le tracker Patch et mettez y vos modifications. Ainsi tout me

monde peut les voir, les tester et proposer des solutions.

#2 - 04/03/2009 08:51 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed

#3 - 05/12/2009 03:31 PM - Nikita Kozlov
- Due date set to 03/12/2009

- % Done changed from 0 to 100

- Estimated time set to 10.00 h

Files

beem-jingle-pour-manu.bz2 1020 KB 03/06/2009 Frédéric Barthéléry

beem-jingle-pour-manu.patch 19.2 KB 03/06/2009 Frédéric Barthéléry
